local EventFrame=CreateFrame("Frame");
EventFrame:RegisterEvent("UPDATE_CHAT_WINDOWS");
EventFrame:SetScript("OnEvent",function(self,event,...)
self:UnregisterEvent(event);-- Unregister now, FCF_ResetChatWindows() causes this event to fire

FCF_ResetChatWindows();-- Reset all chat settings (This does most of our work)
FCF_Close(ChatFrame2);-- Close combat log

-- ChatFrame1 is a special case, we need to do everything ourselves
HideUIPanel(ChatFrame1);
ChatFrame1Tab:Hide();
ChatFrame1EditBox:Hide();
ChatFrame_RemoveAllMessageGroups(ChatFrame1);
ChatFrame_RemoveAllChannels(ChatFrame1);
ChatFrame_ReceiveAllPrivateMessages(ChatFrame1);

-- Secure way to make sure ChatFrame1 doesn't re-show from FCF_DockUpdate()
ChatFrame1:SetScript("OnShow",ChatFrame1.Hide);
ChatFrame1Tab:SetScript("OnShow",ChatFrame1Tab.Hide);
end);

-- Legion Updates
ChatFrameMenuButton:Hide();-- Chat Menu Button
QuickJoinToastButton:Hide();-- Social Button

-- Quest Tracker
ObjectiveTrackerFrame:Hide();-- Quest Tracker Frame

--Player Info
PlayerFrame:Hide();-- Hides Player Info Frame

--Target Info
TargetFrame:UnregisterAllEvents();
TargetFrame:Hide();
TargetFrame:HookScript("OnShow", hide);

--Minimap Area
MinimapCluster:Hide();--

--Buffs
BuffFrame:UnregisterAllEvents();
BuffFrame:Hide();
BuffFrame:HookScript("OnShow", hide);